#! /usr/bin/env python

import sys, os
from filetypes import is_v1, is_v2, is_mp3, is_wav, is_ogg, is_flac, is_ape

import locale
locale.setlocale(locale.LC_ALL, '')

import glob, re
mp3_file = re.compile("^([^0-9]*)([0-9]+)(.*)$")


dir = glob.glob("*")
if not dir:
   sys.exit("Dir is empty")


new_list = []
for entry in dir:
   if not os.path.isfile(entry):
      continue

   lower = entry.lower()
   if not is_v1(entry) and not is_v2(entry) and not is_mp3(entry) and \
         not is_wav(entry) and not is_ogg(entry) and \
         not is_flac(entry) and not is_ape(entry) and \
         not lower.endswith(".mp3") and not lower.endswith(".wav") and \
         not lower.endswith(".ogg") and not lower.endswith(".flac") and \
         not lower.endswith(".ape"):
      continue

   match = mp3_file.match(entry)
   if match:
      name = match.group(1)
      number = match.group(2)
      suffix = match.group(3)

      new_list.append((int(number), locale.strxfrm(name), name, number, suffix))
   else:
      number = ''
      name, suffix = os.path.splitext(entry)
      new_list.append((number, locale.strxfrm(name), name, number, suffix))

if not new_list:
   sys.exit()

new_list.sort()

outfile = open("PlayList.m3u", 'w')
for i, _xname, name, number, suffix in new_list:
   outfile.write("%s%s%s\n" % (name, number, suffix))
outfile.close()
